# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: settings_page_heading
    category: CDev\GoogleAnalytics
    type: hidden
    orderby: 50
    translations: [{code: en, option_name: 'Google Analytics Settings'}]
    module: CDev\GoogleAnalytics
  - name: ga_code_version
    category: CDev\GoogleAnalytics
    type: CDev\GoogleAnalytics\View\FormField\Select\CodeVersion
    orderby: 50
    value: 4
    translations: [{code: en, option_name: 'Google Analytics version'}]
    module: CDev\GoogleAnalytics
  - name: ga_account
    category: CDev\GoogleAnalytics
    type: text
    orderby: 100
    value: ''
    translations: [{code: en, option_name: 'Web Property ID'}]
    module: CDev\GoogleAnalytics
  - name: ga_measurement_id
    category: CDev\GoogleAnalytics
    type: text
    orderby: 100
    value: ''
    translations: [{code: en, option_name: 'Measurement ID'}]
    module: CDev\GoogleAnalytics
  - name: ga_tracking_type
    category: CDev\GoogleAnalytics
    type: CDev\GoogleAnalytics\View\FormField\Select\TrackingType
    orderby: 200
    value: 1
    translations: [{code: en, option_name: 'What are you tracking'}]
    module: CDev\GoogleAnalytics
  - name: ecommerce_enabled
    category: CDev\GoogleAnalytics
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 400
    value: true
    translations: [{code: en, option_name: 'Enable eCommerce Google Analytics'}]
    module: CDev\GoogleAnalytics
  - name: purchase_only_on_paid
    category: CDev\GoogleAnalytics
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 450
    value: true
    translations: [{code: en, option_name: 'Register purchase only on Paid status change'}]
    module: CDev\GoogleAnalytics
  - name: ga_api_secret
    category: CDev\GoogleAnalytics
    type: text
    orderby: 500
    value: ''
    translations: [{code: en, option_name: 'API secret', option_comment: 'An <b>API secret</b> generated in the Google Analytics UI. To create a new secret, navigate to: <b>Admin > Data Streams > choose your stream > Measurement Protocol > Create</b>'}]
    module: CDev\GoogleAnalytics
  - name: debug_mode
    category: CDev\GoogleAnalytics
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 600
    value: false
    translations: [{code: en, option_name: 'Debug mode'}]
    module: CDev\GoogleAnalytics
XLite\Model\LanguageLabel:
  - name: 'Advanced statistics with'
    translations: [{code: en, label: 'Advanced statistics with'}]
  - name: 'Google Analytics'
    translations: [{code: en, label: 'Google Analytics'}]
  - name: 'Configure the Google Analytics module'
    translations: [{code: en, label: 'Configure the Google Analytics module'}]
  - name: 'to view the advanced statistics'
    translations: [{code: en, label: 'to view the advanced statistics'}]
  - name: 'A single domain'
    translations: [{code: en, label: 'A single domain'}]
  - name: 'One domain with multiple subdomains'
    translations: [{code: en, label: 'One domain with multiple subdomains'}]
  - name: 'Multiple top-level domains'
    translations: [{code: en, label: 'Multiple top-level domains'}]
  - name: Traditional
    translations: [{code: en, label: Traditional}]
  - name: 'Universal Analytics'
    translations: [{code: en, label: 'Universal Analytics'}]
  - name: 'Want help with SEO? Ask X-Cart Guru'
    translations: [{code: en, label: 'Want help with SEO? <a href="{{url}}" target="_blank">Ask X-Cart Guru</a>'}]
